package com.mirs.biz.mapper;

import java.util.List;
import com.mirs.biz.domain.EmiMeasurement;
import com.mirs.biz.dto.IndexSearchDTO;

/**
 * 测量数据Mapper接口
 * 
 * @author kk
 * @date 2025-04-24
 */
public interface EmiMeasurementMapper 
{
    /**
     * 查询测量数据
     * 
     * @param id 测量数据主键
     * @return 测量数据
     */
    public EmiMeasurement selectEmiMeasurementById(Long id);

    /**
     * 查询测量数据列表
     * 
     * @param emiMeasurement 测量数据
     * @return 测量数据集合
     */
    public List<EmiMeasurement> selectEmiMeasurementList(EmiMeasurement emiMeasurement);

    /**
     * 新增测量数据
     * 
     * @param emiMeasurement 测量数据
     * @return 结果
     */
    public int insertEmiMeasurement(EmiMeasurement emiMeasurement);

    /**
     * 修改测量数据
     * 
     * @param emiMeasurement 测量数据
     * @return 结果
     */
    public int updateEmiMeasurement(EmiMeasurement emiMeasurement);

    /**
     * 删除测量数据
     * 
     * @param id 测量数据主键
     * @return 结果
     */
    public int deleteEmiMeasurementById(Long id);

    /**
     * 批量删除测量数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmiMeasurementByIds(Long[] ids);

    List getTemperatureK();
}
